
/**
 * Beschreiben Sie hier die Klasse KRUEMEL.
 * 
 * @author (Peter Brichzin) 
 * @version (18.1.08)
 */
public class KRUEMEL
{
    // Attribute
    int positionX;
    int positionY;
    int punkteWert;
    boolean machtUnverletzlich;
    boolean wurdeGefressen;

    // Referenzattribut
    KRUEMELSYMBOL form;
    
    /**
     * Konstruktor fr Objekte der Klasse KRUEMEL; der default-Wert fr machtUnverletzlich ist false
     * @param positionXNeu Die x-Position des Kr&uuml;mels
     * @param positionYNeu Die y-Position des Kr&uuml;mels
     * @param punktewertNeu Der Punktewert, der beim Fressen eines "normalen" Kr&uuml;mels vergeben wird
     */
    KRUEMEL(int positionXNeu, int positionYNeu, int punkteWertNeu)
    {
        positionX = positionXNeu;
        positionY = positionYNeu;
        punkteWert = punkteWertNeu;
        machtUnverletzlich = false;
        wurdeGefressen = false;
        
        form = new KRUEMELSYMBOL(positionX, positionY); 
        form.RadiusSetzen(7);
               
    }
    
     /**
     * Konstruktor fr Objekte der Klasse KRUEMEL; der default-Wert fr machtUnverletzlich ist false
     * @param positionXNeu Die x-Position des Kr&uuml;mels
     * @param positionYNeu Die y-Position des Kr&uuml;mels
     * @param punktewertNeu Der Punktewert, der beim Fressen eines "normalen" Kr&uuml;mels vergeben wird
     * @param machtUnverletzlichNeu Setzt den Wert des Attributs Unverletzlich auf true oder false
     */
    KRUEMEL(int positionXNeu, int positionYNeu, int punkteWertNeu, boolean machtUnverletzlichNeu)
    {
        positionX = positionXNeu;
        positionY = positionYNeu;
        punkteWert = punkteWertNeu;
        machtUnverletzlich = machtUnverletzlichNeu;
        wurdeGefressen = false;
        
        form = new KRUEMELSYMBOL(positionX, positionY); 
        if (machtUnverletzlich)
        {
            form.RadiusSetzen(15);
        }
        else
        {
            form.RadiusSetzen(7);
        }
        
    }

    /**
     * Konstruktor fr Objekte der Klasse KRUEMEL; der default-Wert fr machtUnverletzlich ist false
     */
    void PowerVerleihen(int punkteWertNeu)
    {
        punkteWert = punkteWertNeu;
        machtUnverletzlich = true;
        form.RadiusSetzen(15);

    }
    
  /**
     * Nahezu redundant mit UnsichtbarMachen --> muss in einer Revision berarbeitet werden.
     */    
    void GefressenWerden()
    {
        wurdeGefressen = true;
    }
    
     /**
     * Macht das Kr&uuml;melsymbol in der Anzeige unsichtbar. Dies ist beispielsweise 
     * ntig, wenn der Kr&uuml;mel gegessen wird. 
     */
    void UnsichtbarMachen()
    {
        GefressenWerden();
        form.FuellungSichtbarSetzen(false);
    }
    
        
    boolean WurdeGefressenGeben()
    {
        return wurdeGefressen;
    }

    boolean MachtUnverletzlichGeben()
    {
        return machtUnverletzlich;
    }
    
    int PunkteWertGeben()
    {
        return punkteWert;
    }
}
