/**
 *Die MAMPFIDASRTELLUNG dient zur Darstellung des MAMPFIs und zum anmelden des MAMPFI-Objekts am backend.
 *@author Sebastian Zinkhahn
 */
/**
 * @author James
 *
 */
class MAMPFISYMBOL extends MampfiDarstellungImpl
{
	/**Die aktuelle x-Position*/
	int positionX = super.positionX;
	/**Die aktuelle y-Position*/
	int positionY = super.positionY;
	/**Gibt den Radius der Kreisform an*/
	int radius; 
	 /**Gibt den Startwinkel des Bogens von der x-Achse aus gesehen in Grad an*/
	int startWinkel;
	 /**Gibt den Bogenumfang in Grad an*/
	int bogenWinkel;
	/**Gibt an wie und ob der Bogen geschlossen ist<br> Erlaubt sind: 0, 1, 2*/
	int bogenArt = 2; 
	 /**Reprsentiert eine Farbe als String <br> Erlaubt sind: "blau",  "gelb", "grn", "rot" oder "weiss"*/
	
	String fuellFarbe = "Gelb";
	String randFarbe = "Gelb";
	boolean fuellungSichtbar = true;
	boolean randSichtbar = true;
	
	Object mampfi;
	/**
	 * Dieser Konstruktor erzeugt eine einfache Darstellung des Mampfi
	 * 
	 */	
	
	public MAMPFISYMBOL()
	{
		super();
		super.FuellFarbeSetzen(fuellFarbe);
		super.FuellungSichtbarSetzen(fuellungSichtbar);
		super.RandFarbeSetzen(randFarbe);
		super.RandSichtbarSetzen(randSichtbar);
	}
	public MAMPFISYMBOL(int xNeu, int yNeu)
	{
		super(xNeu, yNeu);
		super.FuellFarbeSetzen(fuellFarbe);
		super.FuellungSichtbarSetzen(fuellungSichtbar);
		super.RandFarbeSetzen(randFarbe);
		super.RandSichtbarSetzen(randSichtbar);
	}
	
	
	
	/**
	 * @param radiusNeu Der neue Radius in Pixel
	 */
	public void RadiusSetzen(int radiusNeu)
	{
		super.RadiusSetzen(radiusNeu);
		this.radius = radiusNeu;
	}
	
	/**
	 * @param winkelNeu Der neue Startwinkel in Grad
	 */
	public void StartWinkelSetzen(int winkelNeu)
	{	
		super.StartWinkelSetzen(winkelNeu);
		startWinkel = winkelNeu;
	}
	
	/**
	 * @param winkelNeu Der neue Bogenwinkel in Grad
	 */
	public void BogenWinkelSetzen(int winkelNeu)
	{
		super.BogenWinkelSetzen(winkelNeu);
		bogenWinkel = winkelNeu;
	}
	
	/**
	 * @param bogenArtNeu Die Bogenart
	 * 0 - offen,
	 * 1 - Segment,
	 * 2 - Kuchenstck
	 */
	public void BogenArtSetzen(int bogenArtNeu)
	{
		super.BogenArtSetzen(bogenArtNeu);
		bogenArt = bogenArtNeu;
	}
	
	/**
	 * Wenn sich MAMPFI bewegt muss auch die Position seiner Darstellung verndert werden.
	 * Benutze diese Methode dazu.
	 * @see MampfiDarstellungImpl#PositionXSetzen(int)
	 */
	public void PositionXSetzen(int xNeu)
	{
		super.PositionXSetzen(xNeu);
		positionX = xNeu;
	}
	

	/**
	 * Wenn sich MAMPFI bewegt muss auch die Position seiner Darstellung verndert werden.
	 * Benutze diese Methode dazu.
	 * @see MampfiDarstellungImpl#PositionYSetzen(int)
	 */
	public void PositionYSetzen(int yNeu)
	{
		super.PositionYSetzen(yNeu);
		positionY = yNeu;
	}
	
	/**
	 * ndert die Fllfarbe dieses Symbols
	 * @see KruemelDarstellungImpl#FarbeSetzen(java.lang.String)
	 */
	public void FuellFarbeSetzen(String farbeNeu)
	{
		fuellFarbe = farbeNeu;
		super.FuellFarbeSetzen(farbeNeu);
	}
	
	/**
	 * ndert die Randfarbe dieses Symbols
	 * @see backend.view.DarstellungImpl#RandFarbeSetzen(java.lang.String)
	 */
	public void RandFarbeSetzen(String farbeNeu)
	{
		randFarbe = farbeNeu;
		super.RandFarbeSetzen(farbeNeu);
	}
	
	/**
	 * Gibt an ob das Symbol ausgefllt werden soll
	 * @see backend.view.DarstellungImpl#FuellungSichtbarSetzen(boolean)
	 */
	public void FuellungSichtbarSetzen(boolean b)
	{
		fuellungSichtbar = b;
		super.FuellungSichtbarSetzen(b);
	}
	
	/**
	 * Gibt ob der Rand des Symbols gezeichnet werden soll
	 * @see backend.view.DarstellungImpl#RandSichtbarSetzen(boolean)
	 */
	public void RandSichtbarSetzen(boolean b)
	{
		randSichtbar = b;
		super.RandSichtbarSetzen(b);
	}
	
	/**
	 * Um mit dem backend zu kommunizieren wird ab einem gewissen Punkt das MAMPFI-Objekt bentigt.
	 * Benutze diese Methode um den MAMPFI an das backend zu bergeben.
	 * @see MampfiDarstellungImpl#Anmelden(java.lang.Object)
	 */
	public void Anmelden(MAMPFI m)
	{
		mampfi = m;
		super.Anmelden(m);
	}
}